Bug 729146 - CVE-2011-2900 mongoose: stack-based buffer overflow flaw in put_dir() [fedora-all]
Summary: CVE-2011-2900 mongoose: stack-based buffer overflow flaw in put_dir() [fedora...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongoose
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rafael Aquini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-2900
TreeView+ depends on / blocked
 
Reported: 2011-08-08 20:23 UTC by Vincent Danen
Modified: 2011-09-17 22:02 UTC (History)
1 user (show)

Fixed In Version: mongoose-2.8-7.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:29:21 UTC


Attachments (Terms of Use)
patch to fix CVE-2011-2900 (1.44 KB, application/octet-stream)
2011-08-27 23:01 UTC, Rafael Aquini
no flags Details

Description Vincent Danen 2011-08-08 20:23:24 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=729145

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Rafael Aquini 2011-08-27 23:01:08 UTC
Created attachment 520187 [details]
patch to fix CVE-2011-2900

This patch address a fix for CVE-2011-2900, and it is an excerpt from upstream commit 556f4de91eae

https://code.google.com/p/mongoose/source/diff?spec=svn556f4de91eae4bac40dc5d4ddbd9ec7c424711d0&r=556f4de91eae4bac40dc5d4ddbd9ec7c424711d0&format=side&path=/mongoose.c

--Aquini

Comment 2 Fedora Update System 2011-08-27 23:04:52 UTC
mongoose-3.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mongoose-3.0-2.fc14

Comment 3 Fedora Update System 2011-08-27 23:08:01 UTC
mongoose-3.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mongoose-3.0-2.fc15

Comment 4 Fedora Update System 2011-08-27 23:09:47 UTC
mongoose-3.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongoose-3.0-2.fc16

Comment 5 Fedora Update System 2011-08-28 05:24:43 UTC
Package mongoose-3.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongoose-3.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mongoose-3.0-2.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-31 14:18:45 UTC
mongoose-2.8-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mongoose-2.8-7.el5

Comment 7 Fedora Update System 2011-08-31 14:20:07 UTC
mongoose-2.8-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mongoose-2.8-7.el6

Comment 8 Fedora Update System 2011-09-07 03:29:17 UTC
mongoose-3.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-08 07:04:43 UTC
mongoose-3.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-08 07:09:40 UTC
mongoose-3.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-17 21:59:00 UTC
mongoose-2.8-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-17 22:02:50 UTC
mongoose-2.8-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.